OpenTTD: ContentCallback Struct Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
ContentCallback Struct Reference

Callbacks for notifying others about incoming data. More...

`#include <network_content.h>`

Inheritance diagram for ContentCallback:

## Public Member Functions
virtual void | OnConnect (bool success)
| Callback for when the connection has finished.
virtual void | OnDisconnect ()
| Callback for when the connection got disconnected.
virtual void | OnReceiveContentInfo (const ContentInfo *ci)
| We received a content info.
virtual void | OnDownloadProgress (const ContentInfo *ci, int bytes)
| We have progress in the download of a file.
virtual void | OnDownloadComplete (ContentID cid)
| We have finished downloading a file.
virtual | ~ContentCallback ()
| Silentium.

## Detailed Description

Callbacks for notifying others about incoming data.

Definition at line 31 of file network_content.h.

## Member Function Documentation

virtual void ContentCallback::OnConnect | ( | bool | success | ) |
| inlinevirtual

Callback for when the connection has finished.

Parameters

  success | whether the connection was made or that we failed to make it

Reimplemented in ConsoleContentCallback.

Definition at line 36 of file network_content.h.

virtual void ContentCallback::OnDownloadComplete | ( | ContentID | cid | ) |
| inlinevirtual

We have finished downloading a file.

Parameters

  cid | the ContentID of the downloaded file

Reimplemented in ConsoleContentCallback.

Definition at line 60 of file network_content.h.

virtual void ContentCallback::OnDownloadProgress | ( | const ContentInfo * | ci,
|  | int | bytes
| ) |  |
| inlinevirtual

We have progress in the download of a file.

Parameters

  ci | the content info of the file
  bytes | the number of bytes downloaded since the previous call

Definition at line 54 of file network_content.h.

virtual void ContentCallback::OnReceiveContentInfo | ( | const ContentInfo * | ci | ) |
| inlinevirtual

We received a content info.

Parameters

  ci | the content info

Definition at line 47 of file network_content.h.

The documentation for this struct was generated from the following file:

- src/network/network_content.h